#include <bits/stdc++.h>

using namespace std;
ifstream f1("dempt.inp");
ofstream f2("dempt.out");
int a[100000],b[100000],u[100000];
int main() {
	int m,n,i,dem=0;
	f1>>m; 
	for (i=1;i<=m;i++) {f1>>a[i]; u[a[i]]=1;}
	f1>>n;
	for (i=1;i<=n;i++) {f1>>b[i]; if (u[b[i]]==1) {dem++;}}
	f2<<dem;
	return 0;
}
